[arch-commits] Commit in scrnsaverproto/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Tue Jul 15 09:02:25 EDT 2008


    Date: Tuesday, July 15, 2008 @ 09:02:25
  Author: jgc
Revision: 5345

Fix conflict

Modified:
  scrnsaverproto/repos/extra-x86_64/	(properties)
  scrnsaverproto/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)


Property changes on: scrnsaverproto/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /scrnsaverproto/trunk:1
   + /scrnsaverproto/trunk:1-5344

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-15 13:01:40 UTC (rev 5344)
+++ extra-x86_64/PKGBUILD	2008-07-15 13:02:25 UTC (rev 5345)
@@ -3,17 +3,19 @@
 
 pkgname=scrnsaverproto
 pkgver=1.1.0
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Screen Saver extension wire protocol"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+license=('custom')
 url="http://xorg.freedesktop.org/"
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
-md5sums=(5d551850e6f4acdf49a13f4eb3a5bbfa)
+md5sums=('5d551850e6f4acdf49a13f4eb3a5bbfa')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1 
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
-





More information about the arch-commits mailing list